# FromTable Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

SQL's "FROM"-member implementation. More...

Inheritance diagram for FromTable:
[legend]

List of all members.

## Public Member Functions

| __construct ($table, $alias=null)
| getAlias ()
| toDialectString (Dialect $dialect)
| getTable ()

## Private Attributes

| $table = null
| $alias = null
| $schema = null

## Detailed Description

SQL's "FROM"-member implementation.

Definition at line 18 of file FromTable.class.php.

## Constructor & Destructor Documentation

FromTable::__construct | ( | $ | table,
|  | $ | alias = `null` |
| ) |  |  |

Definition at line 24 of file FromTable.class.php.

References $alias, and $table.

## Member Function Documentation

FromTable::getAlias | ( |  | ) |

Definition at line 48 of file FromTable.class.php.

FromTable::getTable | ( |  | ) |

Implements SQLTableName.

Definition at line 78 of file FromTable.class.php.

FromTable::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 53 of file FromTable.class.php.

References Dialect::quoteTable().

Here is the call graph for this function:

## Member Data Documentation

FromTable::$alias = null`[private]`

Definition at line 21 of file FromTable.class.php.

Referenced by __construct().

FromTable::$schema = null`[private]`

Definition at line 22 of file FromTable.class.php.

FromTable::$table = null`[private]`

Definition at line 20 of file FromTable.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- core/OSQL/FromTable.class.php